## org.openorb.compiler.object
Class IdlStructMember

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlStructMember

All Implemented Interfaces:
  idlObject, idlStructMember, java.io.Serializable

public class IdlStructMember
extends IdlObject
implements idlStructMember

Cette classe represente l'objet IDL Struct member

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlStructMember(IdlObject father)` Cree un objet IDL Struct

Method Summary
`java.util.Enumeration` `content()` Return this idlObject content
`idlObject` `internal()` Return internal object
`IdlObject` `type()` Retourne le type du membre
`void` `type(IdlObject tp)` Fixe le type du membre

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlStructMember

    public IdlStructMember(IdlObject father)

  Cree un objet IDL Struct

Method Detail

### type

    public IdlObject type()

  Retourne le type du membre
  Overrides:
    `type` in class `IdlObject`
  Returns:
    le type

### type

    public void type(IdlObject tp)

  Fixe le type du membre
  Overrides:
    `type` in class `IdlObject`
  Parameters:
    `tp` - le type

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

### internal

    public idlObject internal()

  Description copied from interface: `idlStructMember`
  Return internal object
  Specified by:
    `internal` in interface `idlStructMember`